Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.TreeTools
Class Entry

    java.lang.Object
      madkit.TreeTools.Entry

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DirEntry, FilEntry

    public class Entry

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected boolean` | `dir`
`protected java.lang.String` | `name`
`protected java.lang.String` | `path`
`protected long` | `size`
`protected long` | `tmp`

Constructor Summary
`Entry()`
`Entry(java.lang.String _path)`
`Entry(java.lang.String _path, boolean _dir)`

Method Summary
`long` | `getDate()`
`java.lang.String` | `getName()`
`static java.lang.String` | `getNameFromPath(java.lang.String path)`
`java.lang.String` | `getPath()`
`long` | `getSize()`
`boolean` | `isDir()`
`void` | `setDate(long _tmp)`
`void` | `setDir(boolean _dir)`
`void` | `setName(java.lang.String _name)`
`void` | `setPath(java.lang.String _path)`
`void` | `setSize(long _size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### path

    protected java.lang.String path

### dir

    protected boolean dir

### tmp

    protected long tmp

### size

    protected long size

Constructor Detail

### Entry

    public Entry()

### Entry

    public Entry(java.lang.String _path)

### Entry

    public Entry(java.lang.String _path,
                 boolean _dir)

Method Detail

### getDate

    public long getDate()

### setDate

    public void setDate(long _tmp)

### isDir

    public boolean isDir()

### setDir

    public void setDir(boolean _dir)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String _name)

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String _path)

### getSize

    public long getSize()

### setSize

    public void setSize(long _size)

### getNameFromPath

    public static java.lang.String getNameFromPath(java.lang.String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.